{
	// See https://go.microsoft.com/fwlink/?LinkId=733558
	// for the documentation about the tasks.json format
	"version": "2.0.0",
	"tasks": [
		{
			"label": "compile",
			"type": "shell",
			"command": "clang++ -o mi -g -mmacosx-version-min=10.14 -lstdc++ -std=c++1z -lssl -lcrypto -lpqxx -lpq -L/usr/local/opt/openssl/lib -I/usr/local/opt/openssl/include -L/usr/local/opt/libpqxx/lib -I/usr/local/opt/libpqxx/include -L/usr/local/opt/postgres/lib -I/usr/local/opt/postgres/include -I./ -I./stdlib *.cpp ./stdlib/*.cpp",
			"group": {
				"kind": "build",
				"isDefault": true
			}
		},
		{
			"label": "compile O3",
			"type": "shell",
			"command": "clang++ -o mi -O3 -mmacosx-version-min=10.14 -lstdc++ -std=c++1z -lssl -lcrypto -lpqxx -lpq -L/usr/local/opt/openssl/lib -I/usr/local/opt/openssl/include -L/usr/local/opt/libpqxx/lib -I/usr/local/opt/libpqxx/include -L/usr/local/opt/postgres/lib -I/usr/local/opt/postgres/include -I./ -I./stdlib *.cpp ./stdlib/*.cpp",
			"group": {
				"kind": "build",
				"isDefault": false
			},
			"problemMatcher": []
		}
	]
}